KnowledgeBaseAdmin

List platform-scoped knowledge documents

GET
/admin/knowledge-base/documents

Authorization

SupabaseBearer
AuthorizationBearer <token>

Supabase user access token (Authorization: Bearer JWT)

In: header

Query Parameters

page?integer
Range1 <= value
pageSize?integer
Range1 <= value <= 100
sort?string
order?string

Value in

  • "asc"
  • "desc"
q?string
status?string

Header Parameters

x-user-id*string

Platform admin Supabase user id

Formatuuid
x-platform-staff-email?string

Platform staff email for @compliwise.io domain verification

Formatemail

Response Body

application/json

application/json

curl -X GET "https://example.com/admin/knowledge-base/documents" \  -H "x-user-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "items": [    {}  ],  "page": 0,  "pageSize": 0,  "total": 0}
Empty
{  "message": "string"}